############################--FUNÇÃO BENEFICIO--#############################
#FUNÇÃO que calcula o benefio
def benefit(project, scheduled_month, project_risk_total, total_cost, project_duration, T):
    
    #Retorna o beneficio de um par (p, m)
    return(project_risk_total[project]*((2*T) - scheduled_month - project_duration[project] + 1)/ total_cost[project])

#end def
############################--FUNÇÃO BENEFICIO--######################-END-##

############################--FUNÇÃO LISTA DE BENEFICIO--####################
#Função que cria lista de benefio do par
def make_benefit_list(initial_month, project_risk_total, total_cost, project_duration, T):

    #Dicionarios de beneficio de pares (p, m)
    benefit_pairs = {}

    #para cada projeto da entrada
    for p in initial_month.keys():

        #para cada mes no Horizonte de Planejamento
        for m in range(1, T+1):

            #A Lista de benefio de pares recebe o valor do beneficio do par
            benefit_pairs[(p,m)] = (benefit(p,m, project_risk_total, total_cost, project_duration, T))

        #end for

    #end for

    return benefit_pairs

#end def
############################--FUNÇÃO LISTA DE BENEFICIO--#############-END-##
